import { symbol, Phases } from './constants';

const setSecretsManager = ({
  promise
}, secretsManager) => {
  if (promise[symbol].phase !== Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[symbol].secretsManager = secretsManager;
  return promise;
};

export default setSecretsManager;
//# sourceMappingURL=set-secrets-manager.js.map